# Uses of Enum
org.apache.avro.Schema.Field.Order

Packages that use Schema.Field.Order
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Schema.Field.Order in org.apache.avro

Methods in org.apache.avro that return Schema.Field.Order
Modifier and Type
Method
Description
`Schema.Field.Order`
Schema.Field.`order()`
`static Schema.Field.Order`
Schema.Field.Order.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Schema.Field.Order[]`
Schema.Field.Order.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.avro with parameters of type Schema.Field.Order
Modifier
Constructor
Description
``
`Field(String name, Schema schema, String doc, Object defaultValue, Schema.Field.Order order)`